Subject: Re: python 2.0, cygwin & readline - undefined symbols
From: Jason Tishler <[email-masked]>
To: Robert Collins <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Mon, 12 Mar 2001 10:47:32 -0500

Rob,

On Mon, Mar 12, 2001 at 08:38:56PM +1100, Robert Collins wrote:
> I haven't tryed python, so take this with a  grain of salt:
> 
> Gerrit, can you successfully build and link .dlls? The -s option to ld
> is "-s, --strip-all             Strip all symbols"
> 
> I suspect that that may interfere with .dll's, because they _need_ a
> exported symbol list to allow them to be loaded and linked to by name
> (as opposed to ordinal).

I strip DLLs (including cygwin1.dll) all the time without any ill
effect.  AFAICT, striping DLLs do not affect the symbols that they
export.

Jason

-- 
Jason Tishler
Director, Software Engineering       Phone: +1 (732) 264-8770 x235
Dot Hill Systems Corp.               Fax:   +1 (732) 264-8798
82 Bethany Road, Suite 7             Email: [email-masked]
Hazlet, NJ 07730 USA                 WWW:   http://www.dothill.com

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple